Skip to navigation

Update Job

View as Markdown
Update mutable job metadata or the definition used by future attempts.

Path parameters

namestringRequired
workspacestringRequired

Request

This endpoint expects an object.
descriptionstring or nullOptional
specmap from strings to anyOptional
platform_specobjectOptional
Specification for a platform job, containing steps and secrets.

Response

Successful Response
idstring
attempt_idstring
namestring
workspacestring
Workspace identifier
sourcestring
platform_specobject
Specification for a platform job, containing steps and secrets.
filesetstring
Fileset ID for storing job artifacts
statusenum

Enumeration of possible job statuses.

This enum represents the various states a job can be in during its lifecycle, from creation to a terminal state.

projectstringOptional
Project URN
descriptionstringOptional
specmap from strings to anyOptional
Job Spec
controlobjectOptional
Mutable job behavior. This is not part of the execution spec.
output_locationstringOptional

Caller-supplied artifact fileset; None when the fileset was auto-created

status_detailsmap from strings to anyOptional
Details about the job status
error_detailsmap from strings to anyOptional
created_atdatetimeOptional
updated_atdatetimeOptional
ownershipmap from strings to anyOptional
custom_fieldsmap from strings to anyOptional
Custom Fields

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error